# OpenShaderDesigner: Any< T, Rest... > Class Template Reference

Loading...
Searching...
No Matches
Any< T, Rest... > Class Template Reference

Package multiple types into a single variable, useful for instances where a value may be multiple types. More...

`#include <Any.h>`

Inheritance diagram for Any< T, Rest... >:

## Public Member Functions

| Any (const ThisType &value, const Rest &...other)
| Any (ThisType &&value, Rest &&...other)
| Any (const Any &other)=default
| Any (Any &&other)=default
Any & | operator= (const Any &)=default
Any & | operator= (Any &&)=default
| operator ThisType () const
| operator ThisType & ()
| operator const ThisType & () const
| operator ThisType && ()
| operator ThisType * ()
| operator const ThisType * () const

## Detailed Description

template<typename T, typename... Rest>
class Any< T, Rest... >

Package multiple types into a single variable, useful for instances where a value may be multiple types.

The documentation for this class was generated from the following file:

- Include/Utility/Any.h